> [!WARNING]
> Display \& Video 360 API v5 is currently in beta.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroupAds/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroupAds/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroupAds/create#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroupAds/create#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroupAds/create#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroupAds/create#try-it)

Creates an ad group ad.

This method is only supported for Demand Gen ads.

### HTTP request

`POST https://displayvideo.googleapis.com/v5/advertisers/{adGroupAd.advertiserId}/adGroupAds`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `adGroupAd.advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique ID of the advertiser the ad belongs to. |

### Request body

The request body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroupAds#AdGroupAd`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroupAds#AdGroupAd`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).